Sort
Keywords: net.corda.core.node.services.vault.Sort class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class Sort

- BaseSort
- - net.corda.core.node.services.vault.Sort

-     public class Sort
      extends BaseSort

  Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.

- - ### Constructor Detail

    - #### Sort

          public Sort(@NotNull
                      java.util.Collection<net.corda.core.node.services.vault.Sort.SortColumn> columns)

      Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.

  - ### Method Detail

    - #### getColumns

          @NotNull
          public java.util.Collection<net.corda.core.node.services.vault.Sort.SortColumn> getColumns()

    - #### component1

          @NotNull
          public java.util.Collection<net.corda.core.node.services.vault.Sort.SortColumn> component1()

    - #### copy

          @NotNull
          public Sort copy(@NotNull
                                    java.util.Collection<net.corda.core.node.services.vault.Sort.SortColumn> columns)

      Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.

    - #### hashCode

          public int hashCode()

      Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Sort allows specification of a set of entity attribute names and their associated directionality and null handling, to be applied upon processing a query specification.